IRPCVault.GetGroupsOfUserOrGroup

View as Markdown

Vault API / core read session or assertion idempotent returns metadata structure version

Gets the user groups that a user or a user group belongs to.

ServiceVault information MFiles.IRPCVault
gRPC method/MFiles.IRPCVault/GetGroupsOfUserOrGroup
HTTP (mf-http-grpc)POST /grpc/v1/get-groups-of-user-or-group
RequestGetGroupsOfUserOrGroupRequest
ResponseGetGroupsOfUserOrGroupResponse
Book and levelVault API, core
Kindread
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetGroupsOfUserOrGroupRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
user_or_group_idint32The ID of the user, or of the user group when is_group is true.
is_groupboolTrue if user_or_group_id is a user group ID; false (default) for a user ID.

Response: GetGroupsOfUserOrGroupResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
groups[]repeated UserGroupBasicUser groups (represented by UserGroupBasic structs).
groups[].idint32The ID of the user group.
groups[].namestringThe name of the group.
groups[].members[]repeated int32The IDs of the members of this group (user accounts and/or user groups).
groups[].typeUserGroupTypeUser group type.Values: USER_GROUP_TYPE_NORMAL (0), USER_GROUP_TYPE_REPOSITORY_USER (1), USER_GROUP_TYPE_REPOSITORY_GROUP (2), USER_GROUP_TYPE_ANY (-1).